PDA

View Full Version : “Installshield MSDE 2000 Object for NT platforms” (SP4)



The V Man
06-14-2005, 01:02 AM
Hi all,

I use the “Installshield MSDE 2000 Object for NT platforms” (SP3a) in InstallShield 10.5.

Microsoft have released the new MSDE 2000 SP4. http://www.microsoft.com/downloads/details.aspx?FamilyId=8E2DFC8D-C20E-4446-99A9-B7F0213F8BC5&displaylang=en#filelist

InstallShield support gave me a modified “Installshield MSDE 2000 Object for NT platforms” that launches conditionally, but I am now after this object to include SP4.
Also what version of MDAC is contained in this object? I would think it should be version 2.81.

Has anyone heard or know of the “Installshield MSDE 2000 Object for NT platforms” to include SP4?

Also will the “Installshield MSDE 2000 Object for NT platforms” (SP4) update the “Installshield MSDE 2000 Object for NT platforms” (SP3a)?

Any comments form anyone??? :rolleyes:

dbriggs
06-24-2005, 10:19 AM
I followed your link to the MS Download Center. I think you may be confused by this being SQL Server SP-4, not MSDE. Maybe the confusion results from both SQL Server and MSDE having to release fixes for the Slammer Worm and they were both SP-3a. That's not to say there won't be an MSDE SP-4.

I am just trying to get my head around installing MSDE 2000 (not on NT) with DS9. I'm using the DS9 Object Template (but maybe not the Object itself) and a variety of docs from InstallSite and Microsoft.

David

The V Man
07-25-2005, 02:19 AM
Try this link:

http://download.microsoft.com/download/1/B/D/1BDF5B78-584E-4DE0-B36F-C44E06B0D2A3/ReadmeSql2k32desksp4.htm

Regards.

dbriggs
07-25-2005, 08:22 AM
I gave up completely on using the MSDE Object. Instead, I have written an InstallScript wrapper that runs MDAC, MSDE, and our product installers in the OnFirstUIBefore Event Handler and never gets past that. As a result, I am using the native installers for all three packages and handling or suppressing any reboot requests that come along.

I will take a look at the SP-4 notes. It should be pretty straightforward to update the new MSDE installers into my kit (s - plural as we are supporting 4-6 languages). I have already written the MSDE instance update InstallScript. This will give me a chance to test it!

Thanks for the update.

David

dbriggs
07-25-2005, 09:12 AM
Have you read the notes? They say you have to evaluate each installed instance to see if it can be upgraded to SP-4! I already have code written to count and identify the instances, but I don't know about having to upgrade them all at once, or rather one at a time, but all nonetheless.

Except that is if any of them were installed by a Microsoft application, see:-

http://support.microsoft.com/?kbid=311762

to find out which, in which case there are some other steps to follow, or not, and I thought I'd finished that piece of code!

It all looks a bit scary.

David

lspeters
08-04-2005, 12:09 PM
I've found mdac 2.8 to be included work fine. the install sucessful though they install on machine in various foul states of Windows O/S. spyware infested, worms. machines that do not have adaquate protection.

dbriggs
08-04-2005, 01:06 PM
Unfortunately, SP4 includes MDAC 2.81 (although this cannot be installed on Windows XP or 2003). It is also a lot more complicated to install, as it interferes with any other, older Instances.

I'm staying with SP-3a for now, as it is much easier to install (especially with MDAC 2.80 $;-).

David

The V Man
09-13-2005, 12:53 AM
Hi David,

It surprises me that there were no other posts regarding this. Also NO comment from any InstallShield staff, they CLAIM to be a Microsoft partner.

dbriggs
09-13-2005, 07:28 AM
Well, SP4 is a major upgrade. It will require some new code to cope with the instance upgrades and checks. Maybe they are hoping something less invasive will come along... me too! It seems daft to ship an update that has the potential to break every other MSDE application on the system.

David